### Virtual Method

# EDataServer OAuth2Service prepare_authentication_uri_query

since: 3.28

#### Declaration [src]

    void
    prepare_authentication_uri_query (
      EOAuth2Service* service,
      ESource* source,
      GHashTable* uri_query
    )

#### Description [src]

The `service` can change what arguments are passed in the authentication URI in this method. The default implementation sets some values too, namely “response_type”, “client_id”, “redirect_uri” and “login_hint”, if available in the `source`. These parameters are always provided, even when the interface implementer overrides this method.

The `uri_query` hash table expects both key and value to be newly allocated strings, which will be freed together with the hash table or when the key is replaced.

Available since: 3.28

#### Parameters

`source`

  Type: `ESource`

  An associated `ESource`.

  The data is owned by the caller of the method.

`uri_query`

  Type: `GHashTable`

  Query for the URI to use.

  The data is owned by the caller of the method.